summaryrefslogtreecommitdiff
path: root/redis.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-04-08 12:31:52 +0200
committerAndreas Maunz <andreas@maunz.de>2011-04-08 12:31:52 +0200
commit870e891a6f5e1030fe38458de75b7784ce0f9b26 (patch)
tree00f235c2af4d072462116c09b0ce7027f36f0c1d /redis.sh
parentfdb3a13ccfed12e143d0ceb5eb9bd89ed8355c61 (diff)
Fixed redis idempotency
Diffstat (limited to 'redis.sh')
-rw-r--r--redis.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/redis.sh b/redis.sh
index fa1b696..6790fed 100644
--- a/redis.sh
+++ b/redis.sh
@@ -58,7 +58,7 @@ if ! $REDIS_DONE; then
fi
if [ ! -f $REDIS_CONF ]; then
- echo "if ! echo \"\$PATH\" | grep \"$REDIS_DEST\"; then export PATH=$REDIS_DEST/src:\$PATH; fi" >> "$REDIS_CONF"
+ echo "if ! echo \"\$PATH\" | grep \"$REDIS_DEST\">/dev/null 2>&1; then export PATH=$REDIS_DEST/src:\$PATH; fi" >> "$REDIS_CONF"
echo "Redis configuration has been stored in '$REDIS_CONF'."
if ! grep ". \"$REDIS_CONF\"" $OT_UI_CONF; then